package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.TBusiHiddCountMonMapper;
import com.goldenwater.slaj.hidd.domain.TBusiHiddCountMon;
import com.goldenwater.slaj.hidd.service.ITBusiHiddCountMonService;

/**
 * 隐患月度统计 服务层实现
 */
@Service
public class TBusiHiddCountMonServiceImpl implements ITBusiHiddCountMonService {

    @Autowired
    private TBusiHiddCountMonMapper tBusiHiddCountMonMapper;

    /**
     * 查询隐患月度统计信息
     * @param id 查询条件
     * @return 隐患月度统计信息
     */
    @Override
    public TBusiHiddCountMon selectTBusiHiddCountMonById(Long id) {
        return tBusiHiddCountMonMapper.selectTBusiHiddCountMonById(id);
    }

    /**
     * 查询隐患月度统计列表
     * @param tBusiHiddCountMon 隐患月度统计查询条件
     * @return 隐患月度统计集合
     */
    @Override
    public List<TBusiHiddCountMon> selectTBusiHiddCountMonList(TBusiHiddCountMon tBusiHiddCountMon) {
        return tBusiHiddCountMonMapper.selectTBusiHiddCountMonList(tBusiHiddCountMon);
    }

    /**
     * 新增隐患月度统计
     * @param tBusiHiddCountMon 隐患月度统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHiddCountMon(TBusiHiddCountMon tBusiHiddCountMon) {
        return tBusiHiddCountMonMapper.insertTBusiHiddCountMon(tBusiHiddCountMon);
    }

    /**
     * 修改隐患月度统计
     * @param tBusiHiddCountMon 隐患月度统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHiddCountMon(TBusiHiddCountMon tBusiHiddCountMon) {
        return tBusiHiddCountMonMapper.updateTBusiHiddCountMon(tBusiHiddCountMon);
    }

    /**
     * 删除隐患月度统计
     * @param id 隐患月度统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddCountMonById(Long id) {
        return tBusiHiddCountMonMapper.deleteTBusiHiddCountMonById(id);
    }

    /**
     * 批量删除隐患月度统计
     * @param ids 隐患月度统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddCountMonByIds(Long[] ids) {
        return tBusiHiddCountMonMapper.deleteTBusiHiddCountMonByIds(ids);
    }
}
